:root {
    --sub-container-color: #0f0f19;
}

.container {
    border-radius: 40px;
}

.container hr {
    width: 75%;
    border-color: rgb(51, 51, 51);
}

.accent {
    color: var(--accent-color);
}

.figure {
    width: 20vw;
}

.figure img, .figure video {
    width: 100%;
    border: white solid 2px;
}

.center-figure {
    display: flex;
    justify-content: center;
}

.figure figcaption {
    text-align: center;
    font-style: italic;
    background-color: #000000;
    padding: 5px;
    font-size: .8em;
    color: lightgray;
}

.right-figure {
    float: right;
}

.left-figure {
    float: left;
}

#blog-audio-container {
    display: flex;
    justify-content: center;
    margin: 20px;
}

#blog-audio {
    width: 100%;
    max-width: 580px;
    background-color: #1a1a1f;
    border-radius: 15px;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
    padding: 0 15px;
    box-sizing: border-box;
    border: 2px solid #2e2e2e;
}

#blog-audio span {
    color: lightgray;
}

#blog-audio audio {
    flex: 1;
}

#blog-footer {
    margin-top: 40px;
    margin-bottom: 20px;
    display: flex;
    justify-content: space-between;
    padding: 0 10%;
}

#blog-text {
    text-align: left;
    margin: 20px;
    padding: 20px;
    border-radius: 20px;
    background-color: var(--sub-container-color);
    color: white;
}

#blog-text h2 {
    text-align: center;
}

#blog-text hr {
    border-color: rgb(142, 142, 142);
    margin-top: 30px;
    margin-bottom: 30px;
}

@media (max-width: 768px) {
    .main-panel {
        border: none;
    }
}